import { SourceCode } from "./SourceCode.js";
import { Language } from "./lang/LanguageInterface.js";
import { AbstractMarker } from "./AbstractMarker.js";
export declare const DefaultOptions: {
    language: Language;
};
export interface AbbrMarkerOptions {
    language?: Language;
}
/**
 * abbreviation marker
 */
export declare class AbbrMarker implements AbstractMarker {
    readonly options?: AbbrMarkerOptions | undefined;
    private lang;
    constructor(options?: AbbrMarkerOptions | undefined);
    /**
     * Get Word
     * word should have left space and right space,
     * @param {SourceCode} sourceCode
     * @param {number} startIndex
     * @returns {string}
     */
    private getWord;
    private getPrevWord;
    mark(sourceCode: SourceCode): void;
}
//# sourceMappingURL=AbbrMarker.d.ts.map